gnutls_random_art(3)

NAME
gnutls_random_art - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_random_art(gnutls_random_art_t type, const char * key_type, unsigned int key_size, void * fpr, size_t fpr_size, gnutls_datum_t * art);

ARGUMENTS

gnutls_random_art_t type
    The type of the random art (for now only GNUTLS_RANDOM_ART_OPENSSH is supported)

const char * key_type
    The type of the key (RSA, DSA etc.)

unsigned int key_size
    The size of the key in bits

void * fpr
    The fingerprint of the key

size_t fpr_size
    The size of the fingerprint

gnutls_datum_t * art
    The returned random art

DESCRIPTION
This function will convert a given fingerprint to an "artistic" image. The returned image is allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/